Subject: Re: [PATCH 4/5] xor/arm64: Use shared NEON intrinsics implementation from 32-bit ARM

From: Christoph Hellwig <[email-masked]>
Date: Fri, 27 Mar 2026 14:50:51 +0100

On Fri, Mar 27, 2026 at 12:30:52PM +0100, Ard Biesheuvel wrote:
> From: Ard Biesheuvel <[email-masked]>
> 
> Tweak the arm64 code so that the pure NEON intrinsics implementation of
> XOR is shared between arm64 and ARM.

Instead of hiding the implementation in a header, just split xor-neon.c
into two .c files, one of which could be built by arm32 as well, probably
in the arm/ instead of the arm64/ subdirectory, but we can also add a
new arm-common one if that's what the arm maintainers prefer.